clear all
clc 
clf


% Parametre du signal t->S(t) avec une frequence d'echantillonage a  1 kHz d'une duree d'1 seconde 
Fs = 1000;            % Frequence d'echantillonage
T = 1/Fs;             % Periode d'echantillonage
L = 1000;             % Longueur du signal
t = (0:L-1)*T;        % Temps
f = Fs*(0:(L/2))/L;   % Frequence

% Signal de frequence k et d'amplitude a
a= 2;k=50;S = a*cos(2*pi*k*t);

% FFT du signal s
Y = fft(S);
P2 = abs(Y/L); % module de TF(S)
P1 = P2(1:L/2+1);
P1(2:end-1) = 2*P1(2:end-1);
% Transformee de Fourier inverse
S1 = ifft(Y);

subplot(311),plot(t,S),title('S(t)'),xlabel('t (s)'),ylabel('S(t)|')
subplot(312),plot(f,P1),title('Module de  FFT(S)(f)'),xlabel('f (Hz)'),ylabel('|fft(S) (f)|')
subplot(313),plot(t,S1),title('IFFT(S)(t)'),xlabel('t (s)'),ylabel('ifft(S)|')


